Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-4389

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2012-4389
Last Modified 13 Sep 2012 12:00:00
Published 05 Sep 2012 07:55:02
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2012-4389

Summary

Incomplete blacklist vulnerability in lib/migrate.php in ownCloud before 4.0.7 allows remote attackers to execute arbitrary code by uploading a crafted .htaccess file in an import.zip file and accessing an uploaded PHP file.

Vulnerable Systems

Application

  • Owncloud 3.0.0

  • Owncloud 3.0.1

  • Owncloud 3.0.2

  • Owncloud 3.0.3

  • Owncloud 4.0.0

  • Owncloud 4.0.1

  • Owncloud 4.0.2

  • Owncloud 4.0.3

  • Owncloud 4.0.4

  • Owncloud 4.0.5

  • Owncloud 4.0.6


References

CONFIRM - https://github.com/owncloud/core/commit/4fd069b47906ebcf83887970c732d464dbe7d37a

MLIST - [oss-security] 20120901 Re: CVE - ownCloud


Last Updated: 27 May 2016 10:57:36